#include "testlib.h"
#include <bits/stdc++.h>
//#define int long long
using namespace std;
const int A=1'000'000'000;
const int N=3000;
int main(int argc, char *argv[]) {
    registerValidation(argc, argv);
    int n=inf.readInt(1,N,"n");
    inf.readSpace();
    int m=inf.readInt(1,N,"m");
    inf.readEoln();
    int group = atoi(validator.group().c_str());
    ensure(!(group==1 && !(n<=100 && m<=100)));
    ensure(!(group==2 && !(n<=N && m<=N)));
    for(int i=0;i<n;i++)
    {
        vector<int>a=inf.readInts(m,0,100,"a");
        inf.readEoln();
    }
    inf.readEof();
}
